/**
 * Copyright (c) 1996-2009 Cafesoft, LLC. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Cafesoft, LLC. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Cafesoft.
 *
 * CAFESOFT MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. CAFESOFT SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

package com.cafesoft.cams.auth.callback;

/**
 * CallbackHandler interface for JAAS LoginModules that must prompt for input.
 * Provides the specified username and password when prompted by the Callback.
 *
 * @author Derek G. Stainer
 * @version $Revision: 1.3 $ $Date: 2009/08/14 23:49:49 $ $Author: norb $
 * @since 10/26/04
 */
public class AutoLoginNamePasswordCallbackHandler 
	extends NamePasswordCallbackHandler
{
	//
	// Constructor(s)
	//
	
	/**
	 * Create a new AutoLoginNamePasswordCallbackHandler object.
	 *
	 * @since 1.0
	 */
	public AutoLoginNamePasswordCallbackHandler()
	{
		super();
	}
	
	/**
	 * Create a new AutoLoginNamePasswordCallbackHandler object.
	 *
	 * @param username the username to provide when prompted.
	 * @param password the password to provide when prompted.
	 * @since 1.0
	 */
	public AutoLoginNamePasswordCallbackHandler(
		String username, String password)
	{
		super(username, password);
	}
	
	//
	// Public Methods
	//
	
	/**
	 * Set the autologin_flag callback value.
	 *
	 * @param autologinflag the value of the autologin_flag callback.
	 * @since 1.0
	 */
	public void setAutologin_flag(String autologinflag)
	{
		// We explicitly do nothing here. The purpose of the function is to
		// fit into the CallbackHandler initialization mechanism. In future
		// releases this mechanism is expected to be updated to avoid having
		// to provide methods such as this. 10/29/04 - dgs
	}
	
	/**
	 * Set the autologin_credentials callback value.
	 *
	 * @param autologincredentials the value of the autologin_credentials 
	 * callback.
	 * @since 1.0
	 */
	public void setAutologin_credentials(String autologincredentials)
	{
		// We explicitly do nothing here. The purpose of the function is to
		// fit into the CallbackHandler initialization mechanism. In future
		// releases this mechanism is expected to be updated to avoid having
		// to provide methods such as this. 10/29/04 - dgs
	}
	
} // End of class : AutoLoginNamePasswordCallbackHandler
