/**
 * Copyright (c) 1996-2009 Cafesoft, LLC. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Cafesoft, LLC. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Cafesoft.
 *
 * CAFESOFT MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. CAFESOFT SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */
package examples.service;

import com.cafesoft.core.service.Service;

/**
 * <code>TextNotifierService</code> defines the interface for a Cams service
 * that sends a textual message to an address. Specific implementations of this
 * interface may send the textual message:
 * <UL>
 * <LI>via e-mail to one or more recipients specified in the address
 * <LI>via pager to a telephone number
 * <LI>via a message sender to a message queue
 * <LI>etc.
 * </UL>
 *
 * @version $Revision: 1.5 $ $Date: 2009/08/14 23:52:24 $
 * @author Norbert K. Kuhnert
 */
public interface TextNotifierService extends Service
{
	/**
	 * Send a textual message.
	 *
	 * @param from the message sender.
	 * @param subject the subject of the message.
	 * @param body the body of the textual message.
	 */
	public void sendText(String from, String subject, String body);

} // End of interface: TextNotifierService


